Bug 164177 - audio/squeezeboxserver should require mysql 5.0 server rather than just mysql server
Summary: audio/squeezeboxserver should require mysql 5.0 server rather than just mysql...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-15 18:30 UTC by Daniel Pritts
Modified: 2012-07-04 22:00 UTC (History)
0 users

See Also:


Attachments
patch_squeezeboxserver_Makefile (686 bytes, application/octet-stream)
2012-06-21 13:15 UTC, the_mix_room
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Pritts 2012-01-15 18:30:11 UTC
the squeezeboxserver port is somewhat out of date, and does not work properly with the default mysql server from ports.  

I fell back to mysql-server-5.0.92 and it works fine.  

I don't know the right meta name to get the 5.0.x mysql port, but this port should require that version, not the current 5.5.

Fix: 

change dependencies
How-To-Repeat: resinstall the port
Comment 1 Emanuel Haupt freebsd_committer 2012-03-08 12:20:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 2 Emanuel Haupt freebsd_committer 2012-03-08 13:15:34 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2012-03-08 13:15:37 UTC
ehaupt      2012-03-08 13:15:22 UTC

  FreeBSD ports repository

  Modified files:
    audio/squeezeboxserver Makefile 
  Log:
  Require MySQL version 5.0 as the squeezeboxserver does not start with a newer
  MySQL version.
  
  PR:             164177
  Submitted by:   Daniel Pritts <danno@umich.edu>
  
  Revision  Changes    Path
  1.88      +3 -2      ports/audio/squeezeboxserver/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 the_mix_room 2012-04-12 15:16:17 UTC
The problem that audio/squeezeboxserver does not start with mysql-server > 50 can be solved as outlined in the linked post. 

http://permalink.gmane.org/gmane.music.equipment.slimdevices.squeezecenter/26896

In essence there are a number of changes which seem to have been made with the new version: 
http://dev.mysql.com/doc/refman/5.5/en/mysql-nutshell.html

I ran slightly modified sed-commands from the gmane.org link. It seems to have started squeezeboxserver fine. 
"

pwd 

/usr/ports/audio/squeezeboxserver/work/squeezeboxserver-7.5.4-32171-noCPAN/

sed -i '.bak' -e 's/skip-locking/skip-external-locking/' -e
's/default-character-set/character-set-server/' -e
's/default-collation/collation-server/'  MySQL/my.tt


sed -i '.bak' -e 's/TYPE=InnoDB/ENGINE=InnoDB/' SQL/mysql/schema_*.sql

"

I am not sure if anybody wants to run a separate branch for FreeBSD, but perhaps it might be an idea to link the post to enable people to update. 





 		 	   		  =
Comment 5 Daniel Pritts 2012-04-12 15:49:51 UTC
I think it's probably best to update the source with your patch and then change the port to require mysql-server 5.5 +

People are more likely to want the more recent mysql server for other reasons I think.

thanks for the followup


On Apr 12, 2012, at 10:16 AM, <the_mix_room@hotmail.com> <the_mix_room@hotmail.com> wrote:

> The problem that audio/squeezeboxserver does not start with mysql-server > 50 can be solved as outlined in the linked post. 
> 
> http://permalink.gmane.org/gmane.music.equipment.slimdevices.squeezecenter/26896
> 
> In essence there are a number of changes which seem to have been made with the new version: 
> http://dev.mysql.com/doc/refman/5.5/en/mysql-nutshell.html
> 
> I ran slightly modified sed-commands from the gmane.org link. It seems to have started squeezeboxserver fine. 
> "
> pwd 
> /usr/ports/audio/squeezeboxserver/work/squeezeboxserver-7.5.4-32171-noCPAN/
> sed -i '.bak' -e 's/skip-locking/skip-external-locking/' -e 's/default-character-set/character-set-server/' -e 's/default-collation/collation-server/'  MySQL/my.tt 
> sed -i '.bak' -e 's/TYPE=InnoDB/ENGINE=InnoDB/' SQL/mysql/schema_*.sql
> "
> 
> I am not sure if anybody wants to run a separate branch for FreeBSD, but perhaps it might be an idea to link the post to enable people to update. 
> 
> 
> 
> 
> 

Comment 6 Emanuel Haupt freebsd_committer 2012-04-12 17:03:15 UTC
State Changed
From-To: closed->open

Follow-up to old, closed PR received.
Comment 7 Emanuel Haupt freebsd_committer 2012-04-12 17:04:20 UTC
Responsible Changed
From-To: ehaupt->freebsd-ports-bugs

Back to the pool.
Comment 8 Bruce A. Mah 2012-06-11 04:07:10 UTC
JFYI I'm running this port with MySQL 5.1 with no issues that I can see
(not on purpose, just an artifact of how I happened to update ports on
my system).  I do see where running with MySQL 5.5 would present some
problems (I'm dealing with those at ${REALJOB}).

Bruce.
Comment 9 Daniel Pritts 2012-06-11 04:20:08 UTC
On Jun 10, 2012, at 11:07 PM, Bruce A. Mah wrote:

> JFYI I'm running this port with MySQL 5.1 with no issues that I can see
> (not on purpose, just an artifact of how I happened to update ports on
> my system).  I do see where running with MySQL 5.5 would present some
> problems (I'm dealing with those at ${REALJOB}).

Yes, the problems I saw were with 5.5. 

thanks,
danno
Comment 10 Michael Scheidell freebsd_committer 2012-07-04 02:38:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 11 Michael Scheidell freebsd_committer 2012-07-04 18:53:31 UTC
State Changed
From-To: open->feedback

pkg_add mysql-client-5.5.25.tbz 
pkg_add: package 'mysql-client-5.5.25' conflicts with mysql-client-5.0.95 
pkg_add: please use pkg_delete first to remove conflicting package(s) or -f to force installation 
error in dependency mysql-client-5.5.25.tbz, exiting 

(check run_depends below, depends on both mysql-client-5.0 and mysql-client 5.5) 


contents of make.conf/ env: 

INDEXFILE=INDEX-9 
ARCH=amd64 
PORTOBJFORMAT=elf 
X_WINDOW_SYSTEM=xorg 
DISTFILE_URI= 
TIMEOUT=7200 
CCACHE_ENABLED=1 
FTP_PASSIVE_MODE=yes 
OPTIONS_ENABLED=0 
__MKLVL__=1 
MAKE_JOBS_UNSAFE=yes 
DISTCACHE=/distcache 
PATH=/opt:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin 
pb=/disk1/tinderbox 
HTTP_TIMEOUT=900 
PACKAGES=/tmp/packages 
LOG_DIRECTORY= 
HAVE_MOTIF=1 
PKGSUFFIX=.tbz 
BATCH=1 
__DSVERSION__=3.2.3 
OSREL=9.0 
CCACHE_DIR=/ccache 
LOG_COMPRESSLOGS=0 
defaultUpdateType=CSUP 
OLDPWD=/ 
DISTFILE_CACHE=/usr/ports/distfiles 
USA_RESIDENT=YES 
WRKDIRPREFIX=/work 
BRANCH=STABLE 
defaultUpdateHost=cvsup18.freebsd.org 
PWD=/usr/ports/audio/squeezeboxserver 
HOST_WORKDIR= 
NO_LICENSES_DIALOGS=yes 
OPTIONS_DIR= 
DISABLE_MAKE_JOBS=yes 
MAKE_JOBS_NUMBER=1 
PKGZIPCMD=bzip2 
USER=root 
DISTDIR=/tmp/distfiles 
HOME=/root 
CCACHE_JAIL=0 
LOG_DOCOPY=0 
CCACHE_MAX_SIZE=2G 
CCACHE_NOLINK=1 
TINDERD_SLEEPTIME=60 
UNAME_n=tinderbox.host 
FTP_TIMEOUT=900 
TINDERD_LOGFILE=/dev/null 
PARALLEL_PACKAGE_BUILD=1 
CCACHE_LOGFILE= 
UNAME_r=9.0-STABLE 
LOCALBASE=/usr/local 
UNAME_s=FreeBSD 
PACKAGE_BUILDING=1 
OSVERSION=900506 
UNAME_v=FreeBSD 9.0-STABLE #0: Tue Jul  3 21:52:17 EDT 2012    root@tinderbox.host:/usr/src/sys/magic/kernel/path 
---End Environment--- 

---Begin OPTIONS List--- 
===> The following configuration options are available for squeezeboxserver-7.5.4_5: 
APE=on: Monkey's Audio support 
DOCS=on: Build and install the documentation 
FAAD=on: FAAD aac decoder support 
FLAC=off: support for flac 
LAME=off: lame mp3 encoder support 
SHORTEN=off: Support Shorten input 
SOX=on: Support OGG Vorbis input via SoX (SliMP3 and SB1) 
===> Use 'make config' to modify these settings 


KG_DEPENDS= 
FETCH_DEPENDS= 
PATCH_DEPENDS=perl-5.14.2_2.tbz 
EXTRACT_DEPENDS=perl-5.14.2_2.tbz 
BUILD_DEPENDS=perl-5.14.2_2.tbz 
RUN_DEPENDS=p5-Class-Accessor-Grouped-0.10005.tbz p5-Class-C3-Componentised-1.0009.tbz p5-Class-Inspector-1.27.tbz  
p5-Config-Any-0.23.tbz p5-Context-Preserve-0.01.tbz p5-DBI-1.622.tbz p5-Data-Compare-1.2200.tbz  
p5-Data-Dumper-Concise-2.020.tbz p5-Data-Page-2.02.tbz p5-Hash-Merge-0.12.tbz p5-MRO-Compat-0.11.tbz p5-Module-Find-0.11.tbz  
p5-Path-Class-0.25.tbz p5-SQL-Abstract-1.72.tbz p5-Scope-Guard-0.20.tbz p5-Sub-Name-0.05.tbz p5-Try-Tiny-0.11.tbz  
p5-namespace-clean-0.23.tbz perl-5.14.2_2.tbz p5-Class-XSAccessor-1.13,1.tbz p5-Class-C3-0.24.tbz p5-version-0.99.tbz  
p5-File-Find-Rule-0.33.tbz p5-Data-Dumper-2.131.tbz p5-Devel-ArgNames-0.03_1.tbz p5-Class-Accessor-Chained-0.01_1.tbz  
p5-Clone-0.31.tbz p5-Getopt-Long-Descriptive-0.091.tbz p5-B-Hooks-EndOfScope-0.11.tbz p5-Package-Stash-0.33.tbz  
p5-Sub-Identify-0.04.tbz p5-Algorithm-C3-0.08.tbz p5-Number-Compare-0.03.tbz p5-Text-Glob-0.09.tbz p5-PadWalker-1.93.tbz  
p5-Class-Accessor-0.34.tbz p5-Params-Validate-1.06.tbz p5-Sub-Exporter-0.984.tbz p5-Variable-Magic-0.49.tbz  
p5-Dist-CheckConflicts-0.02.tbz p5-Package-DeprecationManager-0.13.tbz p5-Package-Stash-XS-0.25.tbz  
p5-Module-Implementation-0.06.tbz p5-Data-OptList-0.107.tbz p5-Params-Util-1.07.tbz p5-Sub-Install-0.926.tbz  
p5-List-MoreUtils-0.33.tbz p5-Module-Runtime-0.013.tbz p5-DBIx-Class-0.08196.tbz p5-File-Which-1.09.tbz p5-URI-1.60.tbz  
p5-URI-Find-20111103.tbz mysql-client-5.0.95.tbz p5-DBD-mysql50-4.021.tbz p5-Digest-SHA1-2.13.tbz p5-Encode-Detect-1.01.tbz  
gd-2.0.35_8,1.tbz jpeg-8_3.tbz png-1.5.10.tbz freetype2-2.4.9_1.tbz fontconfig-2.9.0,1.tbz pkg-config-0.25_1.tbz  
expat-2.0.1_2.tbz p5-GD-2.46_1.tbz p5-common-sense-3.4.tbz p5-JSON-XS-2.32.tbz p5-HTML-Tagset-3.20.tbz p5-HTML-Parser-3.69.tbz  
p5-AppConfig-1.66.tbz p5-Template-Toolkit-2.24.tbz p5-XML-Parser-2.41.tbz p5-YAML-Syck-1.19.tbz p5-EV-4.11,1.tbz  
p5-Audio-Scan-0.93.tbz mac-3.99.4.5_1.tbz faad2-2.7_3,1.tbz libao-1.1.0_1.tbz ffmpeg-0.7.12_2,1.tbz libvorbis-1.3.3,3.tbz  
libsndfile-1.0.25_1.tbz flac-1.2.1_2.tbz libmad-0.15.1b_2.tbz gsm-1.0.13.tbz libid3tag-0.15.1b.tbz libltdl-2.4.2.tbz  
opencv-core-2.3.1_4.tbz schroedinger-1.0.11.tbz libtheora-1.1.1_2.tbz libvpx-1.0.0.tbz x264-0.123.2189_2.tbz xvid-1.3.2,1.tbz  
libogg-1.2.2,4.tbz libiconv-1.14.tbz orc-0.4.16.tbz gpac-libgpac-0.4.5_6,1.tbz sox-14.3.2_4.tbz mysql-client-5.5.25.tbz  
mysql-server-5.5.25.tbz
Comment 12 dfilter service freebsd_committer 2012-07-04 21:50:34 UTC
scheidell    2012-07-04 20:50:08 UTC

  FreeBSD ports repository

  Modified files:
    audio/squeezeboxserver Makefile 
  Log:
  - Fix for mysql50+ [1]
  - Remove dependency for p5-Mysql50 (replace with p5-Mysql) [2]
  
  PR:             ports/164177
  Reported by:    Daniel Pritts <danno@umich.edu>
  Submitted by:   the_mix_room@hotmail.com [1]
  Reviewed by:    scheidell@ (me) [2]
  Approved by:    The little dancing elves
  
  Revision  Changes    Path
  1.93      +8 -3      ports/audio/squeezeboxserver/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Michael Scheidell freebsd_committer 2012-07-04 21:51:05 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Needed to adjust run_depends to get it to 
package. Thanks Everyone for all of your work.